### Function Macro

# Gtk BUILDER_WARN_INVALID_CHILD_TYPE

since: 4.0

#### Declaration [src]

    #define GTK_BUILDER_WARN_INVALID_CHILD_TYPE (
      object,
      type
    )

#### Description [src]

This macro should be used to emit a warning about and unexpected `type` value in a `GtkBuildable` add_child implementation.

Available since: 4.0

This function is not directly available to language bindings.

#### Parameters

`object`

  Type: `-`

  The `GtkBuildable` on which the warning occurred.

`type`

  Type: `-`

  The unexpected type value.